package jp.rinco.android;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Rect;

public class GameBitmapObject extends GameObject {
	public Bitmap bitmap;
	Rect br;

	public GameBitmapObject(int _w, int _h, Bitmap b) {
		super(_w, _h);
		br = new Rect(0, 0, b.getWidth(), b.getHeight());
		bitmap = b;
	}


	public GameObject draw(Canvas c) {
		c.drawBitmap(bitmap, br, new Rect(cx, cy, cx + cw, cy + ch), null);
		return this;
	}
}
